%define version 4.3.10
%define rversion 1.0

%define realname cyrus
%define modname cyrus
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A16_%{modname}.ini

Summary:	An extension which eases the manipulation of Cyrus IMAP servers for PHP4
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 6
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/cyrus
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		cyrus-1.0-lib64.diff.bz2
Requires:	php432
Requires:	php-cli
BuildRequires:	php432-devel
BuildRequires:	cyrus-imapd-devel
BuildRequires:	libsasl-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
An extension which eases the manipulation of Cyrus IMAP servers.

%prep

%setup -q -n %{modname}-%{rversion}
%patch0 -p0

%build

#%{_usrsrc}/php-devel/buildext %{modname} cyrus.c "-lsasl2 -lcyrus -lcyrus_min" \
#    "-DCOMPILE_DL_CYRUS -DHAVE_CYRUS -I%{_includedir}/sasl"

phpize
export CYRUS_SHARED_LIBADD="-lsasl2 -lcyrus -lcyrus_min"
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-6mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-5mdk
- rebuilt against a non hardened-php aware php lib

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-4mdk
- link against libcyrus_min to resolve missing symbols
- fix deps

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-2mdk
- lib64 fixes (P0)

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.0-1mdk
- rebuild for php 4.3.9

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-2mdk
- make it find missing symbols

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-1mdk
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0-1mdk
- built for php 4.3.4

* Tue Aug 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.0-1mdk
- initial cooker contrib
